Skip to main content
POST
/
2026-01
/
marketing-solutions
/
marketplace-performance-outcomes
/
budgets
/2026-01/marketing-solutions/marketplace-performance-outcomes/budgets
curl --request POST \
  --url https://api.criteo.com/2026-01/marketing-solutions/marketplace-performance-outcomes/budgets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "amount": "<string>",
    "budgetType": "<string>",
    "campaignIds": [
      123
    ],
    "endDate": "<string>",
    "sellerId": "<string>",
    "startDate": "2023-11-07T05:31:56Z"
  }
]
'
import requests

url = "https://api.criteo.com/2026-01/marketing-solutions/marketplace-performance-outcomes/budgets"

payload = [
    {
        "amount": "<string>",
        "budgetType": "<string>",
        "campaignIds": [123],
        "endDate": "<string>",
        "sellerId": "<string>",
        "startDate": "2023-11-07T05:31:56Z"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify([
    {
      amount: '<string>',
      budgetType: '<string>',
      campaignIds: [123],
      endDate: '<string>',
      sellerId: '<string>',
      startDate: '2023-11-07T05:31:56Z'
    }
  ])
};

fetch('https://api.criteo.com/2026-01/marketing-solutions/marketplace-performance-outcomes/budgets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "16501666",
    "sellerId": "10656107",
    "campaignIds": [
      436017
    ],
    "budgetType": "Capped",
    "amount": 462.47,
    "endDate": "2026-04-30",
    "spend": 117.59,
    "status": "Current",
    "isSuspended": false
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
amount
string

Budget amount as a string (e.g. '100.50')

budgetType
string

Type of budget: 'Daily' (daily cap), 'Capped' (lifetime with fixed amount), or 'Uncapped' (lifetime with no limit)

campaignIds
integer<int32>[]

List of campaign IDs this budget applies to

endDate
string

Budget end date as a string (format: YYYY-MM-DD), or empty string for open-ended

sellerId
string

Identifier of the seller this budget is for

startDate
string<date-time>

Budget start date. Time component is ignored.

Response

200 - application/json

Success

amount
number<double> | null

Budget amount in the advertiser's currency

budgetType
string

Type of budget: 'Daily' (daily cap), 'Capped' (lifetime with fixed amount), or 'Uncapped' (lifetime with no limit)

campaignIds
integer<int32>[]

List of campaign IDs this budget applies to

endDate
string

End date of the budget period (format: YYYY-MM-DD), or empty string if open-ended

id
string

Unique budget identifier

isSuspended
boolean

Whether the budget has been manually suspended by the partner

sellerId
string

Identifier of the seller this budget belongs to

spend
number<double> | null

Amount spent against this budget so far, or null if not available

startDate
string<date>

Start date of the budget period (format: YYYY-MM-DD)

status
enum<string>

Status of a seller budget

Available options:
Archived,
Current,
Scheduled